#include <sys/user.h>

// Glibc < 2.20 lacks these important structures
#if defined(__aarch64__) && __GLIBC__ == 2 && __GLIBC_MINOR__ < 20
struct user_regs_struct
{
  unsigned long long regs[31];
  unsigned long long sp;
  unsigned long long pc;
  unsigned long long pstate;
};

struct user_fpsimd_struct
{
  __uint128_t  vregs[32];
  unsigned int fpsr;
  unsigned int fpcr;
};
#endif

